import type { RadioButtonProps } from 'primevue/radiobutton';
interface Props extends RadioButtonProps {
    value: string | number | boolean | object;
    label?: string;
    required?: boolean;
    disabled?: boolean;
    outline?: boolean;
}
type __VLS_Props = Props;
declare const model: import("vue").ModelRef<string | number | boolean | object, string, string | number | boolean | object, string | number | boolean | object>;
declare const radioId: string;
declare const hasLabel: import("vue").ComputedRef<string | import("vue").Slot<any>>;
declare const isChecked: import("vue").ComputedRef<boolean>;
type __VLS_PublicProps = __VLS_Props & {
    'selected': string | number | boolean | object;
};
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_9: {
    label: string;
    isChecked: boolean;
    disabled: boolean;
};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    label?: (props: typeof __VLS_9) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<__VLS_PublicProps, {
    model: typeof model;
    radioId: typeof radioId;
    hasLabel: typeof hasLabel;
    isChecked: typeof isChecked;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:selected": (value: string | number | boolean | object) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    "onUpdate:selected"?: (value: string | number | boolean | object) => any;
}>, {
    disabled: boolean;
    required: boolean;
    label: string;
    outline: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<__VLS_PublicProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:selected": (value: string | number | boolean | object) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    "onUpdate:selected"?: (value: string | number | boolean | object) => any;
}>, {
    disabled: boolean;
    required: boolean;
    label: string;
    outline: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
